Automette docs

Split a PDF

POST
/api/v1/documents/split

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from API Keys in the dashboard menu.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/documents/split" \  -H "Content-Type: application/json" \  -d '{    "file": {      "name": "batch.pdf",      "url": "https://example.com/batch.pdf"    },    "criteria": "Each invoice starts on a page with an invoice number at the top"  }'
{  "documents": [    {}  ],  "pageCount": 0,  "unassigned_pages": [    0  ],  "credits_used": 0}